<?php

namespace App\Models;

use Illuminate\Database\Eloquent\SoftDeletes;
use Slowlyo\OwlAdmin\Models\BaseModel as Model;

/**
 * 项目服务
 */
class Project extends Model
{
	use SoftDeletes;

	protected $table = 'project';

    /**
     * @Author FelixYin
     * @description 项目服务所属分类
     */
    public function cate()
    {
        return $this->belongsTo('App\Models\ProjectCate', 'cate_id');
    }

    /**
     * @Author FelixYin
     * @description 项目服务关联店铺服务
     */
    public function shopServices()
    {
        return $this->hasMany('App\Models\ShopService', 'service_id', 'id');
    }
}